# Blockchain Data

交易列表與交易對手（轉發 blockchain-api-v2；自動以 asset-registry 解析 assets）

## POST /v1/balance-history

>

```json
{"openapi":"3.1.0","info":{"title":"Blockchain Atlantis API Gateway","version":"0.1.0"},"tags":[{"name":"blockchain-data","description":"交易列表與交易對手（轉發 blockchain-api-v2；自動以 asset-registry 解析 assets）"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"BalanceHistoryRequest":{"type":"object","description":"`POST /v1/balance-history` 的請求 body（每日餘額變化 / 歷史餘額）。\n\ntransfer-flow 以單一資產為主，通常帶一個 symbol / contract；回應含每日 data_points\n與 `final_balance`。","required":["blockchain","address"],"properties":{"address":{"type":"string"},"blockchain":{"type":"string"},"contracts":{"type":["array","null"],"items":{"type":["string","null"]}},"end_time":{"type":["integer","null"],"format":"int64"},"output_asset":{"type":["string","null"]},"start_time":{"type":["integer","null"],"format":"int64"},"symbols":{"type":["array","null"],"items":{"type":"string"}},"timezone":{"type":["integer","null"],"format":"int32","description":"UTC 偏移小時數。"},"unit":{"type":["string","null"],"description":"目前僅支援 `daily`。"}}}}},"paths":{"/v1/balance-history":{"post":{"tags":["blockchain-data"],"operationId":"balance_history","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BalanceHistoryRequest"}}},"required":true},"responses":{"200":{"description":"每日餘額變化與 final_balance"},"400":{"description":"輸入錯誤"},"401":{"description":"缺少或無效的 API key"}}}}}}
```

## POST /v1/counterparty

>

```json
{"openapi":"3.1.0","info":{"title":"Blockchain Atlantis API Gateway","version":"0.1.0"},"tags":[{"name":"blockchain-data","description":"交易列表與交易對手（轉發 blockchain-api-v2；自動以 asset-registry 解析 assets）"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"CounterpartyRequest":{"type":"object","description":"`POST /v1/counterparty` 的請求 body（交易對手排行）。","required":["blockchain","address"],"properties":{"address":{"type":"string"},"blockchain":{"type":"string"},"contracts":{"type":["array","null"],"items":{"type":["string","null"]}},"direction":{"type":["string","null"]},"end_time":{"type":["integer","null"],"format":"int64"},"limit":{"type":["integer","null"],"format":"int32","minimum":0},"min_interactions":{"type":["integer","null"],"format":"int32","minimum":0},"order":{"type":["string","null"]},"output_asset":{"type":["string","null"]},"page":{"type":["integer","null"],"format":"int32","minimum":0},"sort":{"type":["string","null"]},"start_time":{"type":["integer","null"],"format":"int64"},"symbols":{"type":["array","null"],"items":{"type":"string"}}}}}},"paths":{"/v1/counterparty":{"post":{"tags":["blockchain-data"],"operationId":"counterparty","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CounterpartyRequest"}}},"required":true},"responses":{"200":{"description":"交易對手排行"},"400":{"description":"輸入錯誤"},"401":{"description":"缺少或無效的 API key"}}}}}}
```

## POST /v1/counterparty/overview

>

```json
{"openapi":"3.1.0","info":{"title":"Blockchain Atlantis API Gateway","version":"0.1.0"},"tags":[{"name":"blockchain-data","description":"交易列表與交易對手（轉發 blockchain-api-v2；自動以 asset-registry 解析 assets）"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"CounterpartyOverviewRequest":{"type":"object","description":"`POST /v1/counterparty/overview`：兩地址聚合統計。","required":["blockchain"],"properties":{"blockchain":{"type":"string"},"contracts":{"type":["array","null"],"items":{"type":["string","null"]}},"counterparty":{"type":["string","null"]},"end_time":{"type":["integer","null"],"format":"int64"},"output_asset":{"type":["string","null"]},"start_time":{"type":["integer","null"],"format":"int64"},"symbols":{"type":["array","null"],"items":{"type":"string"}},"target":{"type":["string","null"]}}}}},"paths":{"/v1/counterparty/overview":{"post":{"tags":["blockchain-data"],"operationId":"counterparty_overview","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CounterpartyOverviewRequest"}}},"required":true},"responses":{"200":{"description":"兩地址聚合統計"},"400":{"description":"輸入錯誤"},"401":{"description":"缺少或無效的 API key"}}}}}}
```

## POST /v1/counterparty/transfer-between

>

```json
{"openapi":"3.1.0","info":{"title":"Blockchain Atlantis API Gateway","version":"0.1.0"},"tags":[{"name":"blockchain-data","description":"交易列表與交易對手（轉發 blockchain-api-v2；自動以 asset-registry 解析 assets）"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"TransferBetweenRequest":{"type":"object","description":"`POST /v1/counterparty/transfer-between`：兩地址之間的交易明細。","required":["blockchain"],"properties":{"address_a":{"type":["string","null"]},"address_b":{"type":["string","null"]},"blockchain":{"type":"string"},"contracts":{"type":["array","null"],"items":{"type":["string","null"]}},"counterparty":{"type":["string","null"],"description":"對手地址（亦接受 v2 的 `address_b`）。"},"direction":{"type":["string","null"]},"end_time":{"type":["integer","null"],"format":"int64"},"limit":{"type":["integer","null"],"format":"int32","minimum":0},"order":{"type":["string","null"]},"output_asset":{"type":["string","null"]},"page":{"type":["integer","null"],"format":"int32","minimum":0},"sort":{"type":["string","null"]},"start_time":{"type":["integer","null"],"format":"int64"},"symbols":{"type":["array","null"],"items":{"type":"string"}},"target":{"type":["string","null"],"description":"主地址（亦接受 v2 的 `address_a`）。"}}}}},"paths":{"/v1/counterparty/transfer-between":{"post":{"tags":["blockchain-data"],"operationId":"transfer_between","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TransferBetweenRequest"}}},"required":true},"responses":{"200":{"description":"兩地址之間的交易明細"},"400":{"description":"輸入錯誤"},"401":{"description":"缺少或無效的 API key"}}}}}}
```

## POST /v1/transactions

>

```json
{"openapi":"3.1.0","info":{"title":"Blockchain Atlantis API Gateway","version":"0.1.0"},"tags":[{"name":"blockchain-data","description":"交易列表與交易對手（轉發 blockchain-api-v2；自動以 asset-registry 解析 assets）"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"TransactionsRequest":{"type":"object","description":"`POST /v1/transactions` 的請求 body。","required":["blockchain","address"],"properties":{"address":{"type":"string","description":"查詢的地址。"},"blockchain":{"type":"string","description":"鏈別（ethereum / bsc / tron …）。"},"contracts":{"type":["array","null"],"items":{"type":["string","null"]},"description":"contract-first：合約位址清單（與 symbols 二擇一，較防偽）。"},"direction":{"type":["string","null"]},"end_time":{"type":["integer","null"],"format":"int64"},"filter_criterias":{"type":["array","null"],"items":{"$ref":"#/components/schemas/FilterCriteria"},"description":"進階：per-symbol 金額區間篩選。"},"limit":{"type":["integer","null"],"format":"int32","minimum":0},"output_asset":{"type":["string","null"]},"page":{"type":["integer","null"],"format":"int32","minimum":0},"start_time":{"type":["integer","null"],"format":"int64"},"symbols":{"type":["array","null"],"items":{"type":"string"},"description":"要看的幣種 symbol；省略 / 含 `all` 代表全部。"}}},"FilterCriteria":{"type":"object","description":"幣別篩選條件（交易列表用）。","required":["symbol"],"properties":{"max_value":{"type":["number","null"],"format":"double"},"min_value":{"type":["number","null"],"format":"double"},"sign":{"type":["string","null"]},"symbol":{"type":"string"}}}}},"paths":{"/v1/transactions":{"post":{"tags":["blockchain-data"],"operationId":"transactions","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TransactionsRequest"}}},"required":true},"responses":{"200":{"description":"交易列表（包在 data/meta 信封內）"},"400":{"description":"輸入錯誤"},"401":{"description":"缺少或無效的 API key"}}}}}}
```

## POST /v1/wallet-overview

>

```json
{"openapi":"3.1.0","info":{"title":"Blockchain Atlantis API Gateway","version":"0.1.0"},"tags":[{"name":"blockchain-data","description":"交易列表與交易對手（轉發 blockchain-api-v2；自動以 asset-registry 解析 assets）"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"WalletOverviewRequest":{"type":"object","description":"`POST /v1/wallet-overview` 的請求 body（地址總覽：餘額、收付次數、首末活躍…）。","required":["blockchain","address"],"properties":{"address":{"type":"string"},"blockchain":{"type":"string"},"contracts":{"type":["array","null"],"items":{"type":["string","null"]}},"output_asset":{"type":["string","null"]},"symbols":{"type":["array","null"],"items":{"type":"string"}}}}}},"paths":{"/v1/wallet-overview":{"post":{"tags":["blockchain-data"],"operationId":"wallet_overview","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WalletOverviewRequest"}}},"required":true},"responses":{"200":{"description":"地址總覽"},"400":{"description":"輸入錯誤"},"401":{"description":"缺少或無效的 API key"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.blockchainsecurity.asia/api-reference/readme/blockchain-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
